Jiniu AIJiniu AI
Docs
AudioNative OpenAI format

Audio transcription

Convert audio to text

POST
/v1/audio/transcriptions

Request Body

multipart/form-data

file*string

Audio file

model*string

Model name; must match the identifier in the model catalog exactly

language?string

ISO-639-1 language code

prompt?string

Prompt

response_format?string

Response format. Set json_schema to enable structured outputs that strictly match the given schema

Default"json"
Value in"json" | "text" | "srt" | "verbose_json" | "vtt"
temperature?number

Sampling temperature. Higher values give more varied output; typically 0–2. Tune this or top_p, not both

timestamp_granularities?array<string>

Timestamp granularity: segment or word

Response Body

application/json

curl -X POST "https://jiniu.ai/v1/audio/transcriptions" \  -F file="" \  -F model="whisper-1"
{
  "text": "string"
}